Bug 325428 - Korganizer/Kontact does not purge completed todo's
Summary: Korganizer/Kontact does not purge completed todo's
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: todoview (show other bugs)
Version: 4.11.1
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-29 14:55 UTC by tprotopopescu
Modified: 2013-10-08 21:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tprotopopescu 2013-09-29 14:55:59 UTC
In the todo list in korganizer/kontact completed are not purged properly. After completing a task and checking the checkbox to the left, then right-click and selecting 'purge complteted' does not purge the completed tasks. 

Going to the main menu and selecting 'File -> Purge Completed To-dos' purges some, but not all, completed tasks. Newly created, and completed, tasks are purged but some older tasks remain.

Reproducible: Always

Steps to Reproduce:
1. Create new task
2. Check it as completed
3. Right-click -> purge completed
4. Tasks remain
5. Main Menu -> File -> Purge Completed To-Dos
6. Tasks are purged
7. Some older tasks (if you have any) may not be purged. 
Actual Results:  
Tasks are not purged when using the right-click menu. They are partially purged when using the Main Menu. 

Expected Results:  
Completed tasks would be purged, and no longer be visible in the to-do list view. 

Tasks that refuse to purge are not sub-to-do's nor do they have sub-to-dos. Changing the category of the task does not make a difference.
Comment 1 Sergio Martins 2013-10-08 21:39:19 UTC
Git commit f1e983c16646de87ba2b7ab7f2b44fe75271bb20 by Sergio Martins.
Committed on 08/10/2013 at 21:36.
Pushed by smartins into branch 'KDE/4.11'.

Fix purging to-dos through popup menu.

There was a missing signal.
FIXED-IN: 4.11.3

M  +1    -0    korganizer/views/todoview/kotodoview.cpp

http://commits.kde.org/kdepim/f1e983c16646de87ba2b7ab7f2b44fe75271bb20
Comment 2 Sergio Martins 2013-10-08 21:40:22 UTC
The fact that the popup menu didn't work is fixed in 4.11.3 and master.

The fact that some of them couldn't be purged is fixed only in master and can't be backported.